# Accessibility::EventListener Interface Reference

`import "Accessibility_Event.idl";`

Inheritance diagram for Accessibility::EventListener:

## Public Member Functions
void | notifyEvent (in Event e)

## Detailed Description

A generic interface implemented by objects for the receipt of event notifications. EventListener is the interface from which Accessibility::Registry is derived, and via which clients of the Registry receive notification of changes to an application's user interface and content.

## Member Function Documentation

void Accessibility::EventListener::notifyEvent | ( | in Event | e | ) |

Synchronously notify an EventListener that an event has occurred, by passing it an Event struct.

Parameters:

  | e | The Event about which the listener is being notified.

The documentation for this interface was generated from the following file:

- /home/liyuan/src-git/at-spi/idl/Accessibility_Event.idl